import Foundation
import SwiftUI

enum ImageName: String, CaseIterable {
    enum System: String, CaseIterable {
        case addToCalendar = "calendar.badge.plus"
        case bookmark
        case bookmarkFill = "bookmark.fill"
        case bookmarkRemove = "bookmark.slash"
        case calendar
        case chevronForward = "chevron.forward"
        case chevronDown = "chevron.down"
        case clock = "clock.fill"
        case close = "xmark.circle.fill"
        case ellipsis
        case magnifyingGlass = "magnifyingglass"
        case message = "message.fill"
        case newspaper = "newspaper.fill"
        case people = "person.3.fill"
        case personCircle = "person.circle.fill"
        case photo
        case share = "square.and.arrow.up"
        case sort = "arrow.up.arrow.down"
        
        case success = "checkmark.circle.fill"
        case fail = "exclamationmark.circle.fill"

        var image: Image {
            Image(systemName: self.rawValue)
        }
        
        var uiImage: UIImage? {
            UIImage(systemName: self.rawValue)
        }
        
        var name: String {
            rawValue
        }
    }

    case logo = "riotact-logo"
    case wordmark = "riotact-wordmark"
    case workmarkWithByline = "riotact-wordmark-byline"
    case calendar = "symbol-calendar"
    case conversation = "symbol-conversation"
    case facebookLogo = "symbol-fb"
    case megaphone = "symbol-megaphone"
    case topics = "symbol-topics"
    case trending = "symbol-trending"
    case profile = "symbol-profile"
    case search = "symbol-search"

    var image: Image {
        Image(self.rawValue)
    }

    var uiImage: UIImage? {
        UIImage(named: self.rawValue)
    }
    
    var name: String {
        rawValue
    }
}

